# Create a disk

Source: https://docs.wabe.sh/api-reference/operations/createdisk/

`PUT https://api.wabe.sh/v1/disks/{disk}`

Reserve a disk name in the current project. Data requests activate the disk on demand.

## Authorization

Project API key from the Wabe Dashboard.

## Parameters

- `disk` (path, string, required) — Disk name in the current project.

## Responses

### 200

New or existing disk.

`application/json`

Example

```json
{
  "name": "demo"
}
```

Schema

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "pattern": "^[A-Za-z0-9_-]{1,128}$",
      "example": "demo"
    }
  },
  "required": [
    "name"
  ]
}
```

### 400

Invalid disk name.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 401

Missing, invalid or revoked project API key.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 409

Organization disk limit reached.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
